Skip to content

Get coupon

GET
/v1/coupons/{code}

Get a coupon by code.

code
required
Code
string

Successful Response

CouponResponse
object
id
required
Id
string format: uuid
code
required
Code
string
name
required
Name
string
description
Any of:
string
coupon_type
required
Coupon Type
string
amount_cents
Any of:
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
amount_currency
Any of:
string
percentage_rate
Any of:
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
frequency
required
Frequency
string
frequency_duration
Any of:
integer
reusable
required
Reusable
boolean
expiration
required
Expiration
string
expiration_at
Any of:
string format: date-time
status
required
Status
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time

Unauthorized

Coupon not found

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object